Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class EOSearchResultAssembler

    java.lang.Object
      com.sun.mdm.index.query.EOSearchResultAssembler

All Implemented Interfaces:
  ResultObjectAssembler

public class EOSearchResultAssembler
extends java.lang.Object
implements ResultObjectAssembler

The EOSearchResultAssembler class creates the results data (that is, EOSearchResultRecord objects) used by the Enterprise Data Manager to display the results of a search. The search is executed from a call to MasterController.SearchEnterpriseObject.

Constructor Summary
`EOSearchResultAssembler()` Creates a new instance of the EOSearchResultAssembler class.

Method Summary
`java.lang.Object` | `createObjectAttributes(java.lang.Object rootObject, java.lang.Object parent, java.lang.String objectName, AttributesData attrsData)` Creates an object containing the attributes for each object (other than the root object) that is returned from the Query Manager iterator (QMIterator class) and that has a new identity.
`java.lang.Object` | `createRoot(java.lang.String objectName, AttributesData attrsData)` Creates the root object for each object returned from the Query Manager iterator (QMIterator class).
`ValueMetaNode` | `getValueMetaNode(java.lang.String fullObjPath)` Retrieves the value meta node, which describes an object structure, for the given object path.
`void` | `init()` Initializes the resources to be used by EOSearchResultAssembler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EOSearchResultAssembler

    public EOSearchResultAssembler()
                            throws VOAException

  Creates a new instance of the EOSearchResultAssembler class.

  Parameters:
    None.

  Throws:
    `VOAException` - Thrown if an error occurs while creating the object.

Method Detail

### createObjectAttributes

    public java.lang.Object createObjectAttributes(java.lang.Object rootObject,
                                                   java.lang.Object parent,
                                                   java.lang.String objectName,
                                                   AttributesData attrsData)
                                            throws VOAException

  Creates an object containing the attributes for each object (other than the root object) that is returned from the Query Manager iterator (QMIterator class) and that has a new identity. This method may create a new object, and sets the attribute values for the new object to those in the input AttributesData object. createObjectAttributes also binds the new attributes object to the input parent object. For example, if Parent.FirstName and Parent.Address.City are retrieved in a query, createObjectAttributes is called for each Address object retrieved. The parent object is the Person object, to which the new attributes object is bound.

  Specified by:
    `createObjectAttributes` in interface `ResultObjectAssembler`
  Parameters:
    `rootObject` - The name of the root object.
    `parent` - The name of the parent object (this may be the same as the root object).
    `objectName` - The name of the object, as defined in the Object Definition configuration file in the Master Index Project.
    `attrsData` - - The attribute data associated with the object.
  Returns:
    `Object` - An object containing the attributes.
  Throws:
    `VOAException` - Thrown if an error occurs while creating the object attributes.

### createRoot

    public java.lang.Object createRoot(java.lang.String objectName,
                                       AttributesData attrsData)
                                throws VOAException

  Creates the root object for each object returned from the Query Manager iterator (QMIterator class). Inside createRoot(), you can create initialization data structures that can later be used by the createObjectAttributes method.

  Specified by:
    `createRoot` in interface `ResultObjectAssembler`
  Parameters:
    `objectName` - The name of the root object.
    `attrsData` - The attribute data associated with the root object.
  Returns:
    `Object` - The root object of the fields in the SQL statement.
  Throws:
    `VOAException` - Thrown if an error occurs while creating the root object.

### getValueMetaNode

    public ValueMetaNode getValueMetaNode(java.lang.String fullObjPath)
                                   throws QMException,
                                          VOAException

  Retrieves the value meta node, which describes an object structure, for the given object path.

  Parameters:
    `fullObjPath` - The fully qualified path to the object. Fully qualified path names have "Enterprise" as the root; for example, "Enterprise.SystemSBR.Person.Address.City".
  Returns:
    `ValueMetaNode` - An object describing the structure of the assembled object.
  Throws:
    `VOAException` - Thrown if an error occurs while creating the value meta node.
    `QMException` - Thrown if an error occurs in the Query Manager.

### init

    public void init()

  Initializes the resources to be used by EOSearchResultAssembler. Call this method only once before starting the assembly process.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    None.

  Specified by:
    `init` in interface `ResultObjectAssembler`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.